For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
          • V3
                • GETList Store Metafields
                • POSTCreate Multiple Metafields
                • PUTUpdate Multiple Metafields
                • DELDelete Multiple Metafields
          • V2
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementStore InformationV3Batch Metafields

Delete Multiple Metafields

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/store/metafields
DELETE
/stores/:store_hash/v3/store/metafields
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/store/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> 69,
> 70
>]'
200Deleted
1{
2 "data": [
3 123,
4 124,
5 125
6 ],
7 "errors": [],
8 "meta": {
9 "total": 3,
10 "success": 3,
11 "failed": 0
12 }
13}
Delete all store metafields.
Was this page helpful?
Previous

Update Multiple Metafields

Next

Get Store Metafield

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

Metafields ID list.

Response

Response object for metafields deletion with success.
datalist of integers
errorslist of any
Empty for 200 responses.
metaobject
Additional data about the response.